/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

:root {
  /* Theme colours (MIN-studio) */
  --ifm-color-primary: #AE70FF;
  --ifm-color-secondary: #AE70FF;
  --ifm-color-primary-dark: #7F45CA;
  --ifm-color-primary-darker: #6732AC;
  --ifm-color-light: #f4f4f4;

  /* Dark theme colour in three different intensities */
  --ifm-color-dark: #012335;
  --ifm-color-darker: #01121c;
  --ifm-color-darkest: #000203;

  /* Default highlight colours */
  --ifm-color-danger: #ff6188;
  --ifm-color-success: #a9dc76;
  --ifm-color-info: #78dce8;
  --ifm-color-warning: #ffd866;

  /* Links are primary colour */
  --ifm-link-color: var(--ifm-color-primary);
  --ifm-menu-color-active: var(--ifm-color-primary);
  --ifm-toc-link-hover-color: var(--ifm-color-primary);

  /* Navbar is dark, with secondary colour selected link */
  --ifm-navbar-background-color: var(--ifm-color-dark);
  --ifm-navbar-link-color: var(--ifm-color-light);
  --ifm-navbar-link-hover-color: var(--ifm-color-secondary);

  /* Background is white, while any accents in the background are light */
  --ifm-background-color: #ffffff;
  --ifm-code-background: var(--ifm-color-light);
  --ifm-background-surface-color: var(--ifm-color-light);
  --ifm-footer-background-color: var(--ifm-color-light);

  /* Heading text is black */
  --ifm-alert-color:#000000;
  --ifm-heading-color: #000000;

  /* Slightly smaller code font */
  --ifm-code-font-size: 95%;
}

html[data-theme="dark"] {
  /* Theme colours inverted in dark mode */
  --ifm-color-primary: #AE70FF;
  --ifm-color-secondary: #AE70FF;

  /* Extend navbar in dark mode */
  --ifm-background-surface-color: var(--ifm-color-dark);

  /* Background colour in the same family as navbar but darker,
   * while accent colours are another step darker */
  --ifm-background-color: var(--ifm-color-darker);
  --ifm-footer-background-color: var(--ifm-color-darkest);
  --ifm-table-stripe-background: var(--ifm-color-darkest);

  /* Code background is the navbar colour blended with gray, code text is light */
  --ifm-code-background: #3b515d;
  --ifm-code-color: var(--ifm-color-light);

  /* Always use green for the navbar links */
  --ifm-navbar-link-hover-color: var(--ifm-color-primary);

  /* Alert headings are black, while regular headings are white */
  --ifm-alert-color:#000000;
  --ifm-heading-color: #ffffff;
}

/* NOTE admonitions should be light grey (instead of secondary colour) */
.alert--secondary {
  --ifm-alert-background-color: #ebedf0;
  --ifm-alert-border-color: #ebedf0;
}

/* Light/dark toggle colour should change depending on theme */
.react-toggle--focus .react-toggle-thumb {
  box-shadow: 0px 0px 2px 3px var(--ifm-color-primary) !important;
}
.react-toggle:active:not(.react-toggle--disabled) .react-toggle-thumb {
  box-shadow: 0px 0px 5px 5px var(--ifm-color-primary) !important;
}

/* THIS IS A HACK TO GET ALERT TITLES TO BE BLACK WHILE NORMAL HEADINGS ARE WHITE IN DARK MODE */
h5 {
  color: var(--ifm-alert-color) !important;
}
